Subject: Re: Subtree in Git

From: Herman van Rink <[email-masked]>
Date: Fri, 04 May 2012 12:08:12 +0200

On 04-05-12 04:26, [email-masked] wrote:
> Herman van Rink <[email-masked]> writes:
>
>>> We don't know right now.  I want to take a look at Herman's patches
>>> first but have been delayed for various reasons.  I hope to get to that
>>> this weekend.  I also want to get at least one release under our belt.
>> I've worked on this a bit over the weekend.
>>
>> I've forked the main git repo  on github to merge my tree on top of that.
>>
>> I basically did a: git subtree merge --prefix=contrib/subtree <my
>> git-subtree branch>
>>
>> The work in progress in on: https://github.com/helmo/git (the
>> subtree-updates branch)
> This branch seems to have a bunch of commits from master or some other
> branch:
>
> on master:
> git log subtree-updates --not HEAD
>
> [...some git-subtree stuff...]
> commit 10d4332e007132a38dc61f03c760d355da5cd550
> Author: Junio C Hamano <[email-masked]>
> Date:   Sun Apr 29 18:00:47 2012 -0700
>
>     The seventh batch of topics graduated to 'master'
>     
>     Signed-off-by: Junio C Hamano <[email-masked]>
>
> commit a75aba4a5306d0fee6a8ee8b48943e2c19eb2750
> Merge: 55375e9 46e3581
> Author: Junio C Hamano <[email-masked]>
> Date:   Sun Apr 29 17:52:02 2012 -0700
>
>     Merge branch 'js/daemon-test-race-fix'
> [...]
>
> Perhaps I'm doing something wrong.  Or does the subtree-updates branch
> need to be refreshed?

Strange, I did fork the git/git repo on April 29 though.
As far as I know I branched from master and merged the subtree stuff
ontop of that.

I've now merged master, fixed some whitespace and pushed my
subtree-updates branch again.

And I get a nice diff from: git diff gitgit/master..subtree-updates

-- 
Met vriendelijke groet / Regards,

Herman van Rink 
Initfour websolutions